#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    'Click>=6.0','requests==2.10.0', 'googlemaps==2.4.4', 'defusedxml==0.4.1'
]

test_requirements = [
    # TODO: put package test requirements here
]

setup(
    name='weatherGov',
    version='0.1.0',
    description="A simple, useable interface for gathering current weather data from weather.gov",
    long_description=readme + '\n\n' + history,
    author="Charles Keith Brown",
    author_email='charles.k.brown@gmail.com',
    url='https://github.com/cixelsydcb/weatherGov',
    packages=[
        'weatherGov',
    ],
    package_dir={'weatherGov':
                 'weatherGov'},
    entry_points={
        'console_scripts': [
            'weatherGov=weatherGov.cli:main'
        ]
    },
    include_package_data=True,
    install_requires=requirements,
    license="MIT license",
    zip_safe=False,
    keywords='weatherGov',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
